Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a contact

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

POST/v1/contacts
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Request body
requiredapplication/json
statusstring
Allowed:leadcustomer
assignedTostring | null
Show properties
Any of:
string
string
null
null
fieldsobject
Responses
201

OK

idstringrequired
statusstringrequired
Allowed:leadqualifiedcustomer
assignedTostring | nullrequired
Show properties
Any of:
string
string
null
null
fieldsobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
lastActivityAtstring<date-time>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://app.bauhow.com/api/v1/contacts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "lead",
  "assignedTo": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}'
Response
{
  "id": "string",
  "status": "lead",
  "assignedTo": "string",
  "fields": {
    "property1": null,
    "property2": null
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "lastActivityAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?